import { OnInit, OnDestroy } from '@angular/core';
import { NavItemService } from '../nav-item/nav-item.service';
import { NavService } from './nav.service';
export declare class NavComponent implements OnDestroy, OnInit {
    private navItemService;
    private navService;
    set thumbnail(v: any);
    get thumbnail(): any;
    set expand(v: boolean);
    get expand(): boolean;
    private _expand;
    private _thumbnail;
    private sub;
    constructor(navItemService: NavItemService, navService: NavService);
    ngOnInit(): void;
    ngOnDestroy(): void;
}
